////////////////////////////////////////////////////////////////////
//  WiseBlocks Input Components Suite configuration
////////////////////////////////////////////////////////////////////

/***************** License Information         ********************/
IC.MasterDecorator.acceptLicense("WiseBlocks@localhost/v1.0:2099-12-31#636c2255");

IC.MasterDecorator.setImagesPath("../../WiseBlocks_resources/img"); //default value

/***************** Global definitions          ********************/
IC.MasterDecorator.setGlobals({
	conditions : [NegativeRed],
	borderStyle : "1px solid #7f9db9",
	cursorOnFocus:"firstEmpty",
	skin: IC.MasterDecorator.SKIN_XP_BLUE,
	highlight : HighlightBox.BLUE
});

/***************** Logging & error reporting   ********************/
ICOpen.Log.setShowOnError(true); 
ICOpen.Log.setShowOnWarn(true); 
ICOpen.Log.setShowOnInfo(true); 

IC.MasterDecorator.process([
{
	id : "sum",
	type : "numeric/formula",
	formulaRefrehPeriod : 100,
	formula : function () {
	return IC.sum("nbr1", "nbr2", "nbr3", "nbr4","nbr5")}
},
{
	id : "min",
	type : "numeric/formula",
	formulaRefrehPeriod : 100,
	formula : function () {
	return IC.min("nbr1", "nbr2", "nbr3", "nbr4","nbr5")}
},
{
	id : "max",
	type : "numeric/formula",
	formulaRefrehPeriod : 100,
	formula : function () {
	return IC.max("nbr1", "nbr2", "nbr3", "nbr4","nbr5")}
},
{
	id : "avg",
	type : "numeric/formula",
	formulaRefrehPeriod : 100,
	formula : function () {
	return IC.avg("nbr1", "nbr2", "nbr3", "nbr4","nbr5")}
},
{
	id : "celciusToFahrenheit",
	type : "numeric/formula",
	mask : "###,###,###.00",	
	formulaRefrehPeriod : 100,
	formula : function () {
	return (IC.intValue("celcius")*1.8)+32}
},
{
	id : "fahrenheitToCelcius",
	type : "numeric/formula",
	mask : "###,###,###.##",	
	formulaRefrehPeriod : 100,
	formula : function () {
	return (IC.intValue("fahrenheit")-32)/1.8}
}]);


